package com.ejie.ab79.model.preguntasRespuestas;


import com.ejie.x38.serialization.JsonDateDeserializer;
import com.ejie.x38.serialization.JsonDateSerializer;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import java.util.Date;

/**
 * RelProPre  
 *  
 */

public class RelProPre  implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
            private Integer idRelProPre;
            private Integer idPreguntaProtocolo;
            private Integer idPreguntaProtocoloPadre;
            private Integer idProtocolo;
            private Integer orden;
            private Date fechaRegistro;
            private String usuarioRegistro;
            private Date fechaUltmodificacion;
            private String usuarioUltmodificacion;

	/** 
	 * Method 'RelProPre'.
	 */
    public RelProPre() {
    }


	
    
    /** 
     * Method 'RelProPre'.
     * @param idRelProPre Integer
     */    
     public RelProPre(Integer idRelProPre) {
          this.idRelProPre = idRelProPre;
	}

    

    /** 
     * Method 'RelProPre'.
     * @param idRelProPre Integer
     * @param idPreguntaProtocolo Integer
     * @param idPreguntaProtocoloPadre Integer
     * @param idProtocolo Integer
     * @param orden Long
     * @param fechaRegistro Date
     * @param usuarioRegistro String
     */
   public RelProPre(Integer idRelProPre, Integer idPreguntaProtocolo, Integer idPreguntaProtocoloPadre, Integer idProtocolo, Integer orden, Date fechaRegistro, String usuarioRegistro, Date fechaUltmodificacion, String usuarioUltmodificacion) {	

           this.idRelProPre = idRelProPre;
           this.idPreguntaProtocolo = idPreguntaProtocolo;
           this.idPreguntaProtocoloPadre = idPreguntaProtocoloPadre;
           this.idProtocolo = idProtocolo;
           this.orden = orden;
           this.fechaRegistro = fechaRegistro;
           this.usuarioRegistro = usuarioRegistro;
           this.fechaUltmodificacion = fechaUltmodificacion;
           this.usuarioUltmodificacion = usuarioUltmodificacion;
    }

    /**
	 * Method 'getIdRelProPre'.
	 *
	 * @return Integer
	 */
	
	
	public Integer getIdRelProPre() {
		return this.idRelProPre;
	}

	/**
	 * Method 'setIdRelProPre'.
	 *
	 * @param idRelProPre Integer
	 * @return
     */
	
	public void setIdRelProPre(Integer idRelProPre) {
		this.idRelProPre = idRelProPre;
	}
    /**
	 * Method 'getIdPreguntaProtocolo'.
	 *
	 * @return Integer
	 */
	
	
	public Integer getIdPreguntaProtocolo() {
		return this.idPreguntaProtocolo;
	}

	/**
	 * Method 'setIdPreguntaProtocolo'.
	 *
	 * @param idPreguntaProtocolo Integer
	 * @return
     */
	
	public void setIdPreguntaProtocolo(Integer idPreguntaProtocolo) {
		this.idPreguntaProtocolo = idPreguntaProtocolo;
	}
    /**
	 * Method 'getIdPreguntaProtocoloPadre'.
	 *
	 * @return Integer
	 */
	
	
	public Integer getIdPreguntaProtocoloPadre() {
		return this.idPreguntaProtocoloPadre;
	}

	/**
	 * Method 'setIdPreguntaProtocoloPadre'.
	 *
	 * @param idPreguntaProtocoloPadre Integer
	 * @return
     */
	
	public void setIdPreguntaProtocoloPadre(Integer idPreguntaProtocoloPadre) {
		this.idPreguntaProtocoloPadre = idPreguntaProtocoloPadre;
	}
    /**
	 * Method 'getIdProtocolo'.
	 *
	 * @return Integer
	 */
	
	
	public Integer getIdProtocolo() {
		return this.idProtocolo;
	}

	/**
	 * Method 'setIdProtocolo'.
	 *
	 * @param idProtocolo Integer
	 * @return
     */
	
	public void setIdProtocolo(Integer idProtocolo) {
		this.idProtocolo = idProtocolo;
	}
    /**
	 * Method 'getOrden'.
	 *
	 * @return Long
	 */
	
	
	public Integer getOrden() {
		return this.orden;
	}

	/**
	 * Method 'setOrden'.
	 *
	 * @param orden Long
	 * @return
     */
	
	public void setOrden(Integer orden) {
		this.orden = orden;
	}
    /**
	 * Method 'getFechaRegistro'.
	 *
	 * @return java.util.Date
	 */
	
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaRegistro() {
		return this.fechaRegistro;
	}

	/**
	 * Method 'setFechaRegistro'.
	 *
	 * @param fechaRegistro java.util.Date
	 * @return
     */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaRegistro(Date fechaRegistro) {
		this.fechaRegistro = fechaRegistro;
	}
    /**
	 * Method 'getUsuarioRegistro'.
	 *
	 * @return String
	 */
	
	
	public String getUsuarioRegistro() {
		return this.usuarioRegistro;
	}

	/**
	 * Method 'setUsuarioRegistro'.
	 *
	 * @param usuarioRegistro String
	 * @return
     */
	
	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}
	
	/**
	 * Method 'getFechaUltmodificacion'
	 * 
	 * @return Date
	 */
	
	public Date getFechaUltmodificacion() {
		return this.fechaUltmodificacion;
	}
	
	/**
	 * Method 'setFechaUltmodificacion'
	 * 
	 * @param fechaUltmodificacion Date
	 * @return
	 */
	
	public void setFechaUltmodificacion(Date fechaUltmodificacion) {
		this.fechaUltmodificacion = fechaUltmodificacion;
	}
	
	/**
	 * Method 'getUsuarioUltmodificacion'
	 * 
	 * @return String
	 */
	
	public String getUsuarioUltmodificacion() {
		return this.usuarioUltmodificacion;
	}
	
	/**
	 * Method 'setUsuarioUltmodificacion'
	 * 
	 * @param usuarioUltmodificacion String
	 * @return
	 */
	
	public void setUsuarioUltmodificacion(String usuarioUltmodificacion) {
		this.usuarioUltmodificacion = usuarioUltmodificacion;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { " ); 
		result.append(" [ idRelProPre: ").append(this.idRelProPre).append(" ]");
		result.append(", [ idPreguntaProtocolo: ").append(this.idPreguntaProtocolo).append(" ]");
		result.append(", [ idPreguntaProtocoloPadre: ").append(this.idPreguntaProtocoloPadre).append(" ]");
		result.append(", [ idProtocolo: ").append(this.idProtocolo).append(" ]");
		result.append(", [ orden: ").append(this.orden).append(" ]");
		result.append(", [ fechaRegistro: ").append(this.fechaRegistro).append(" ]");
		result.append(", [ usuarioRegistro: ").append(this.usuarioRegistro).append(" ]");
		result.append("}");
		return result.toString();
	}


}

